Revert patch that disables building libctf for non-ELF based targets.
[external/binutils.git] / libctf / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 #   Copyright (C) 2019 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING.  If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 VPATH = @srcdir@
36 am__is_gnu_make = { \
37   if test -z '$(MAKELEVEL)'; then \
38     false; \
39   elif test -n '$(MAKE_HOST)'; then \
40     true; \
41   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
42     true; \
43   else \
44     false; \
45   fi; \
46 }
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 subdir = .
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
110         $(top_srcdir)/../config/lead-dot.m4 \
111         $(top_srcdir)/../config/override.m4 \
112         $(top_srcdir)/../config/warnings.m4 \
113         $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/configure.ac
114 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
115         $(ACLOCAL_M4)
116 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
117         $(am__configure_deps) $(am__DIST_COMMON)
118 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
119  configure.lineno config.status.lineno
120 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
121 CONFIG_HEADER = config.h
122 CONFIG_CLEAN_FILES =
123 CONFIG_CLEAN_VPATH_FILES =
124 LIBRARIES = $(noinst_LIBRARIES)
125 ARFLAGS = cru
126 AM_V_AR = $(am__v_AR_@AM_V@)
127 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
128 am__v_AR_0 = @echo "  AR      " $@;
129 am__v_AR_1 = 
130 libctf_a_AR = $(AR) $(ARFLAGS)
131 libctf_a_DEPENDENCIES = $(LIBOBJS)
132 am_libctf_a_OBJECTS = ctf-archive.$(OBJEXT) ctf-dump.$(OBJEXT) \
133         ctf-create.$(OBJEXT) ctf-decl.$(OBJEXT) ctf-error.$(OBJEXT) \
134         ctf-hash.$(OBJEXT) ctf-labels.$(OBJEXT) ctf-lookup.$(OBJEXT) \
135         ctf-open.$(OBJEXT) ctf-open-bfd.$(OBJEXT) ctf-subr.$(OBJEXT) \
136         ctf-types.$(OBJEXT) ctf-util.$(OBJEXT)
137 libctf_a_OBJECTS = $(am_libctf_a_OBJECTS)
138 AM_V_P = $(am__v_P_@AM_V@)
139 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
140 am__v_P_0 = false
141 am__v_P_1 = :
142 AM_V_GEN = $(am__v_GEN_@AM_V@)
143 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
144 am__v_GEN_0 = @echo "  GEN     " $@;
145 am__v_GEN_1 = 
146 AM_V_at = $(am__v_at_@AM_V@)
147 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
148 am__v_at_0 = @
149 am__v_at_1 = 
150 DEFAULT_INCLUDES = -I.@am__isrc@
151 depcomp = $(SHELL) $(top_srcdir)/../depcomp
152 am__depfiles_maybe = depfiles
153 am__mv = mv -f
154 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156 AM_V_CC = $(am__v_CC_@AM_V@)
157 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
158 am__v_CC_0 = @echo "  CC      " $@;
159 am__v_CC_1 = 
160 CCLD = $(CC)
161 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
162 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
163 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
164 am__v_CCLD_0 = @echo "  CCLD    " $@;
165 am__v_CCLD_1 = 
166 SOURCES = $(libctf_a_SOURCES)
167 DIST_SOURCES = $(libctf_a_SOURCES)
168 am__can_run_installinfo = \
169   case $$AM_UPDATE_INFO_DIR in \
170     n|no|NO) false;; \
171     *) (install-info --version) >/dev/null 2>&1;; \
172   esac
173 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
174         $(LISP)config.h.in
175 # Read a list of newline-separated strings from the standard input,
176 # and print each of them once, without duplicates.  Input order is
177 # *not* preserved.
178 am__uniquify_input = $(AWK) '\
179   BEGIN { nonempty = 0; } \
180   { items[$$0] = 1; nonempty = 1; } \
181   END { if (nonempty) { for (i in items) print i; }; } \
182 '
183 # Make sure the list of sources is unique.  This is necessary because,
184 # e.g., the same source file might be shared among _SOURCES variables
185 # for different programs/libraries.
186 am__define_uniq_tagged_files = \
187   list='$(am__tagged_files)'; \
188   unique=`for i in $$list; do \
189     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
190   done | $(am__uniquify_input)`
191 ETAGS = etags
192 CTAGS = ctags
193 CSCOPE = cscope
194 AM_RECURSIVE_TARGETS = cscope
195 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
196         $(top_srcdir)/../ar-lib $(top_srcdir)/../compile \
197         $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
198         $(top_srcdir)/../missing $(top_srcdir)/../mkinstalldirs \
199         ChangeLog qsort_r.c
200 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
201 distdir = $(PACKAGE)-$(VERSION)
202 top_distdir = $(distdir)
203 am__remove_distdir = \
204   if test -d "$(distdir)"; then \
205     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
206       && rm -rf "$(distdir)" \
207       || { sleep 5 && rm -rf "$(distdir)"; }; \
208   else :; fi
209 am__post_remove_distdir = $(am__remove_distdir)
210 DIST_ARCHIVES = $(distdir).tar.gz
211 GZIP_ENV = --best
212 DIST_TARGETS = dist-gzip
213 distuninstallcheck_listfiles = find . -type f -print
214 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
215   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
216 distcleancheck_listfiles = find . -type f -print
217 ACLOCAL = @ACLOCAL@
218 AMTAR = @AMTAR@
219 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
220 AR = @AR@
221 AUTOCONF = @AUTOCONF@
222 AUTOHEADER = @AUTOHEADER@
223 AUTOMAKE = @AUTOMAKE@
224 AWK = @AWK@
225 CC = @CC@
226 CCDEPMODE = @CCDEPMODE@
227 CFLAGS = @CFLAGS@
228 CPP = @CPP@
229 CPPFLAGS = @CPPFLAGS@
230 CYGPATH_W = @CYGPATH_W@
231 DEFS = @DEFS@
232 DEPDIR = @DEPDIR@
233 ECHO_C = @ECHO_C@
234 ECHO_N = @ECHO_N@
235 ECHO_T = @ECHO_T@
236 EGREP = @EGREP@
237 EXEEXT = @EXEEXT@
238 GREP = @GREP@
239 INSTALL = @INSTALL@
240 INSTALL_DATA = @INSTALL_DATA@
241 INSTALL_PROGRAM = @INSTALL_PROGRAM@
242 INSTALL_SCRIPT = @INSTALL_SCRIPT@
243 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
244 LDFLAGS = @LDFLAGS@
245 LIBOBJS = @LIBOBJS@
246 LIBS = @LIBS@
247 LTLIBOBJS = @LTLIBOBJS@
248 MAINT = @MAINT@
249 MAKEINFO = @MAKEINFO@
250 MKDIR_P = @MKDIR_P@
251 OBJEXT = @OBJEXT@
252 PACKAGE = @PACKAGE@
253 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
254 PACKAGE_NAME = @PACKAGE_NAME@
255 PACKAGE_STRING = @PACKAGE_STRING@
256 PACKAGE_TARNAME = @PACKAGE_TARNAME@
257 PACKAGE_URL = @PACKAGE_URL@
258 PACKAGE_VERSION = @PACKAGE_VERSION@
259 PATH_SEPARATOR = @PATH_SEPARATOR@
260 RANLIB = @RANLIB@
261 SET_MAKE = @SET_MAKE@
262 SHELL = @SHELL@
263 STRIP = @STRIP@
264 VERSION = @VERSION@
265 WARN_PEDANTIC = @WARN_PEDANTIC@
266 WERROR = @WERROR@
267 abs_builddir = @abs_builddir@
268 abs_srcdir = @abs_srcdir@
269 abs_top_builddir = @abs_top_builddir@
270 abs_top_srcdir = @abs_top_srcdir@
271 ac_ct_AR = @ac_ct_AR@
272 ac_ct_CC = @ac_ct_CC@
273 ac_libctf_warn_cflags = @ac_libctf_warn_cflags@
274 am__include = @am__include@
275 am__leading_dot = @am__leading_dot@
276 am__quote = @am__quote@
277 am__tar = @am__tar@
278 am__untar = @am__untar@
279 bindir = @bindir@
280 build_alias = @build_alias@
281 builddir = @builddir@
282 c_warn = @c_warn@
283 datadir = @datadir@
284 datarootdir = @datarootdir@
285 docdir = @docdir@
286 dvidir = @dvidir@
287 exec_prefix = @exec_prefix@
288 host_alias = @host_alias@
289 htmldir = @htmldir@
290 includedir = @includedir@
291 infodir = @infodir@
292 install_sh = @install_sh@
293 libdir = @libdir@
294 libexecdir = @libexecdir@
295 localedir = @localedir@
296 localstatedir = @localstatedir@
297 mandir = @mandir@
298 mkdir_p = @mkdir_p@
299 oldincludedir = @oldincludedir@
300 pdfdir = @pdfdir@
301 prefix = @prefix@
302 program_transform_name = @program_transform_name@
303 psdir = @psdir@
304 sbindir = @sbindir@
305 sharedstatedir = @sharedstatedir@
306 srcdir = @srcdir@
307 sysconfdir = @sysconfdir@
308 target_alias = @target_alias@
309 top_build_prefix = @top_build_prefix@
310 top_builddir = @top_builddir@
311 top_srcdir = @top_srcdir@
312 warn = @warn@
313 zlibdir = @zlibdir@
314 zlibinc = @zlibinc@
315 ACLOCAL_AMFLAGS = -I .. -I ../config
316 AUTOMAKE_OPTIONS = foreign no-texinfo.tex
317
318 # This is where we get zlib from.  zlibdir is -L../zlib and zlibinc is
319 # -I../zlib, unless we were configured with --with-system-zlib, in which
320 # case both are empty.
321 ZLIB = @zlibdir@ -lz
322 ZLIBINC = @zlibinc@
323 AM_CPPFLAGS = -D_GNU_SOURCE -I$(top_srcdir) -I$(top_srcdir)/../include -I$(top_srcdir)/../bfd -I../bfd
324 AM_CFLAGS = -std=gnu99 @ac_libctf_warn_cflags@ @warn@ @c_warn@ @WARN_PEDANTIC@ @WERROR@ $(ZLIBINC)
325 noinst_LIBRARIES = libctf.a
326 libctf_a_SOURCES = ctf-archive.c ctf-dump.c ctf-create.c ctf-decl.c ctf-error.c \
327                    ctf-hash.c ctf-labels.c ctf-lookup.c ctf-open.c ctf-open-bfd.c \
328                    ctf-subr.c ctf-types.c ctf-util.c
329
330 libctf_a_LIBADD = $(LIBOBJS)
331 all: config.h
332         $(MAKE) $(AM_MAKEFLAGS) all-am
333
334 .SUFFIXES:
335 .SUFFIXES: .c .o .obj
336 am--refresh: Makefile
337         @:
338 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
339         @for dep in $?; do \
340           case '$(am__configure_deps)' in \
341             *$$dep*) \
342               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
343               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
344                 && exit 0; \
345               exit 1;; \
346           esac; \
347         done; \
348         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
349         $(am__cd) $(top_srcdir) && \
350           $(AUTOMAKE) --foreign Makefile
351 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
352         @case '$?' in \
353           *config.status*) \
354             echo ' $(SHELL) ./config.status'; \
355             $(SHELL) ./config.status;; \
356           *) \
357             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
358             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
359         esac;
360
361 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
362         $(SHELL) ./config.status --recheck
363
364 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
365         $(am__cd) $(srcdir) && $(AUTOCONF)
366 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
367         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
368 $(am__aclocal_m4_deps):
369
370 config.h: stamp-h1
371         @test -f $@ || rm -f stamp-h1
372         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
373
374 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
375         @rm -f stamp-h1
376         cd $(top_builddir) && $(SHELL) ./config.status config.h
377 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
378         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
379         rm -f stamp-h1
380         touch $@
381
382 distclean-hdr:
383         -rm -f config.h stamp-h1
384
385 clean-noinstLIBRARIES:
386         -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
387
388 libctf.a: $(libctf_a_OBJECTS) $(libctf_a_DEPENDENCIES) $(EXTRA_libctf_a_DEPENDENCIES) 
389         $(AM_V_at)-rm -f libctf.a
390         $(AM_V_AR)$(libctf_a_AR) libctf.a $(libctf_a_OBJECTS) $(libctf_a_LIBADD)
391         $(AM_V_at)$(RANLIB) libctf.a
392
393 mostlyclean-compile:
394         -rm -f *.$(OBJEXT)
395
396 distclean-compile:
397         -rm -f *.tab.c
398
399 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/qsort_r.Po@am__quote@
400 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-archive.Po@am__quote@
401 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-create.Po@am__quote@
402 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-decl.Po@am__quote@
403 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-dump.Po@am__quote@
404 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-error.Po@am__quote@
405 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-hash.Po@am__quote@
406 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-labels.Po@am__quote@
407 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-lookup.Po@am__quote@
408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open-bfd.Po@am__quote@
409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open.Po@am__quote@
410 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-subr.Po@am__quote@
411 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-types.Po@am__quote@
412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-util.Po@am__quote@
413
414 .c.o:
415 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
416 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
417 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
418 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
419 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
420
421 .c.obj:
422 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
423 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
426 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
427
428 ID: $(am__tagged_files)
429         $(am__define_uniq_tagged_files); mkid -fID $$unique
430 tags: tags-am
431 TAGS: tags
432
433 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
434         set x; \
435         here=`pwd`; \
436         $(am__define_uniq_tagged_files); \
437         shift; \
438         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
439           test -n "$$unique" || unique=$$empty_fix; \
440           if test $$# -gt 0; then \
441             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
442               "$$@" $$unique; \
443           else \
444             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
445               $$unique; \
446           fi; \
447         fi
448 ctags: ctags-am
449
450 CTAGS: ctags
451 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
452         $(am__define_uniq_tagged_files); \
453         test -z "$(CTAGS_ARGS)$$unique" \
454           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
455              $$unique
456
457 GTAGS:
458         here=`$(am__cd) $(top_builddir) && pwd` \
459           && $(am__cd) $(top_srcdir) \
460           && gtags -i $(GTAGS_ARGS) "$$here"
461 cscope: cscope.files
462         test ! -s cscope.files \
463           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
464 clean-cscope:
465         -rm -f cscope.files
466 cscope.files: clean-cscope cscopelist
467 cscopelist: cscopelist-am
468
469 cscopelist-am: $(am__tagged_files)
470         list='$(am__tagged_files)'; \
471         case "$(srcdir)" in \
472           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
473           *) sdir=$(subdir)/$(srcdir) ;; \
474         esac; \
475         for i in $$list; do \
476           if test -f "$$i"; then \
477             echo "$(subdir)/$$i"; \
478           else \
479             echo "$$sdir/$$i"; \
480           fi; \
481         done >> $(top_builddir)/cscope.files
482
483 distclean-tags:
484         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
485         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
486
487 distdir: $(DISTFILES)
488         $(am__remove_distdir)
489         test -d "$(distdir)" || mkdir "$(distdir)"
490         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
491         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
492         list='$(DISTFILES)'; \
493           dist_files=`for file in $$list; do echo $$file; done | \
494           sed -e "s|^$$srcdirstrip/||;t" \
495               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
496         case $$dist_files in \
497           */*) $(MKDIR_P) `echo "$$dist_files" | \
498                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
499                            sort -u` ;; \
500         esac; \
501         for file in $$dist_files; do \
502           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
503           if test -d $$d/$$file; then \
504             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
505             if test -d "$(distdir)/$$file"; then \
506               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
507             fi; \
508             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
509               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
510               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
511             fi; \
512             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
513           else \
514             test -f "$(distdir)/$$file" \
515             || cp -p $$d/$$file "$(distdir)/$$file" \
516             || exit 1; \
517           fi; \
518         done
519         -test -n "$(am__skip_mode_fix)" \
520         || find "$(distdir)" -type d ! -perm -755 \
521                 -exec chmod u+rwx,go+rx {} \; -o \
522           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
523           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
524           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
525         || chmod -R a+r "$(distdir)"
526 dist-gzip: distdir
527         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
528         $(am__post_remove_distdir)
529
530 dist-bzip2: distdir
531         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
532         $(am__post_remove_distdir)
533
534 dist-lzip: distdir
535         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
536         $(am__post_remove_distdir)
537
538 dist-xz: distdir
539         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
540         $(am__post_remove_distdir)
541
542 dist-tarZ: distdir
543         @echo WARNING: "Support for distribution archives compressed with" \
544                        "legacy program 'compress' is deprecated." >&2
545         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
546         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
547         $(am__post_remove_distdir)
548
549 dist-shar: distdir
550         @echo WARNING: "Support for shar distribution archives is" \
551                        "deprecated." >&2
552         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
553         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
554         $(am__post_remove_distdir)
555
556 dist-zip: distdir
557         -rm -f $(distdir).zip
558         zip -rq $(distdir).zip $(distdir)
559         $(am__post_remove_distdir)
560
561 dist dist-all:
562         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
563         $(am__post_remove_distdir)
564
565 # This target untars the dist file and tries a VPATH configuration.  Then
566 # it guarantees that the distribution is self-contained by making another
567 # tarfile.
568 distcheck: dist
569         case '$(DIST_ARCHIVES)' in \
570         *.tar.gz*) \
571           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
572         *.tar.bz2*) \
573           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
574         *.tar.lz*) \
575           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
576         *.tar.xz*) \
577           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
578         *.tar.Z*) \
579           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
580         *.shar.gz*) \
581           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
582         *.zip*) \
583           unzip $(distdir).zip ;;\
584         esac
585         chmod -R a-w $(distdir)
586         chmod u+w $(distdir)
587         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
588         chmod a-w $(distdir)
589         test -d $(distdir)/_build || exit 0; \
590         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
591           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
592           && am__cwd=`pwd` \
593           && $(am__cd) $(distdir)/_build/sub \
594           && ../../configure \
595             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
596             $(DISTCHECK_CONFIGURE_FLAGS) \
597             --srcdir=../.. --prefix="$$dc_install_base" \
598           && $(MAKE) $(AM_MAKEFLAGS) \
599           && $(MAKE) $(AM_MAKEFLAGS) dvi \
600           && $(MAKE) $(AM_MAKEFLAGS) check \
601           && $(MAKE) $(AM_MAKEFLAGS) install \
602           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
603           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
604           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
605                 distuninstallcheck \
606           && chmod -R a-w "$$dc_install_base" \
607           && ({ \
608                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
609                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
610                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
611                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
612                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
613               } || { rm -rf "$$dc_destdir"; exit 1; }) \
614           && rm -rf "$$dc_destdir" \
615           && $(MAKE) $(AM_MAKEFLAGS) dist \
616           && rm -rf $(DIST_ARCHIVES) \
617           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
618           && cd "$$am__cwd" \
619           || exit 1
620         $(am__post_remove_distdir)
621         @(echo "$(distdir) archives ready for distribution: "; \
622           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
623           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
624 distuninstallcheck:
625         @test -n '$(distuninstallcheck_dir)' || { \
626           echo 'ERROR: trying to run $@ with an empty' \
627                '$$(distuninstallcheck_dir)' >&2; \
628           exit 1; \
629         }; \
630         $(am__cd) '$(distuninstallcheck_dir)' || { \
631           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
632           exit 1; \
633         }; \
634         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
635            || { echo "ERROR: files left after uninstall:" ; \
636                 if test -n "$(DESTDIR)"; then \
637                   echo "  (check DESTDIR support)"; \
638                 fi ; \
639                 $(distuninstallcheck_listfiles) ; \
640                 exit 1; } >&2
641 distcleancheck: distclean
642         @if test '$(srcdir)' = . ; then \
643           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
644           exit 1 ; \
645         fi
646         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
647           || { echo "ERROR: files left in build directory after distclean:" ; \
648                $(distcleancheck_listfiles) ; \
649                exit 1; } >&2
650 check-am: all-am
651 check: check-am
652 all-am: Makefile $(LIBRARIES) config.h
653 installdirs:
654 install: install-am
655 install-exec: install-exec-am
656 install-data: install-data-am
657 uninstall: uninstall-am
658
659 install-am: all-am
660         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
661
662 installcheck: installcheck-am
663 install-strip:
664         if test -z '$(STRIP)'; then \
665           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
666             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
667               install; \
668         else \
669           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
670             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
671             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
672         fi
673 mostlyclean-generic:
674
675 clean-generic:
676
677 distclean-generic:
678         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
679         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
680
681 maintainer-clean-generic:
682         @echo "This command is intended for maintainers to use"
683         @echo "it deletes files that may require special tools to rebuild."
684 clean: clean-am
685
686 clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
687
688 distclean: distclean-am
689         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
690         -rm -rf $(DEPDIR) ./$(DEPDIR)
691         -rm -f Makefile
692 distclean-am: clean-am distclean-compile distclean-generic \
693         distclean-hdr distclean-tags
694
695 dvi: dvi-am
696
697 dvi-am:
698
699 html: html-am
700
701 html-am:
702
703 info: info-am
704
705 info-am:
706
707 install-data-am:
708
709 install-dvi: install-dvi-am
710
711 install-dvi-am:
712
713 install-exec-am:
714
715 install-html: install-html-am
716
717 install-html-am:
718
719 install-info: install-info-am
720
721 install-info-am:
722
723 install-man:
724
725 install-pdf: install-pdf-am
726
727 install-pdf-am:
728
729 install-ps: install-ps-am
730
731 install-ps-am:
732
733 installcheck-am:
734
735 maintainer-clean: maintainer-clean-am
736         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
737         -rm -rf $(top_srcdir)/autom4te.cache
738         -rm -rf $(DEPDIR) ./$(DEPDIR)
739         -rm -f Makefile
740 maintainer-clean-am: distclean-am maintainer-clean-generic
741
742 mostlyclean: mostlyclean-am
743
744 mostlyclean-am: mostlyclean-compile mostlyclean-generic
745
746 pdf: pdf-am
747
748 pdf-am:
749
750 ps: ps-am
751
752 ps-am:
753
754 uninstall-am:
755
756 .MAKE: all install-am install-strip
757
758 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
759         clean-cscope clean-generic clean-noinstLIBRARIES cscope \
760         cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
761         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
762         distcheck distclean distclean-compile distclean-generic \
763         distclean-hdr distclean-tags distcleancheck distdir \
764         distuninstallcheck dvi dvi-am html html-am info info-am \
765         install install-am install-data install-data-am install-dvi \
766         install-dvi-am install-exec install-exec-am install-html \
767         install-html-am install-info install-info-am install-man \
768         install-pdf install-pdf-am install-ps install-ps-am \
769         install-strip installcheck installcheck-am installdirs \
770         maintainer-clean maintainer-clean-generic mostlyclean \
771         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
772         tags tags-am uninstall uninstall-am
773
774 .PRECIOUS: Makefile
775
776
777 # Tell versions [3.59,3.63) of GNU make to not export all variables.
778 # Otherwise a system limit (for SysV at least) may be exceeded.
779 .NOEXPORT: